Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Class FileTypeSelector

    java.lang.Object
      org.apache.commons.vfs.FileTypeSelector

All Implemented Interfaces:
  FileSelector

public class FileTypeSelector
extends Object
implements FileSelector

A `FileSelector` that selects files of a particular type.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`FileTypeSelector(FileType type)`

Method Summary
`boolean` | `includeFile(FileSelectInfo fileInfo)` Determines if a file or folder should be selected.
`boolean` | `traverseDescendents(FileSelectInfo fileInfo)` Determines whether a folder should be traversed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTypeSelector

    public FileTypeSelector(FileType type)

Method Detail

### includeFile

    public boolean includeFile(FileSelectInfo fileInfo)
                        throws FileSystemException

  Determines if a file or folder should be selected.

  Specified by:
    `includeFile` in interface `FileSelector`
  Parameters:
    `fileInfo` - the file or folder to select.
  Returns:
    true if the file should be selected.
  Throws:
    `FileSystemException`

### traverseDescendents

    public boolean traverseDescendents(FileSelectInfo fileInfo)

  Determines whether a folder should be traversed.

  Specified by:
    `traverseDescendents` in interface `FileSelector`
  Parameters:
    `fileInfo` - the file or folder to select.
  Returns:
    true if the folder should be traversed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.